Create webhook subscription
curl --request POST \
--url https://api.pictify.io/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "<string>",
"platform": "custom",
"filters": {
"templateId": "<string>",
"bindingId": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetUrl: '<string>',
platform: 'custom',
filters: {templateId: '<string>', bindingId: '<string>'}
})
};
fetch('https://api.pictify.io/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/webhook-subscriptions"
payload = {
"targetUrl": "<string>",
"platform": "custom",
"filters": {
"templateId": "<string>",
"bindingId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/webhook-subscriptions"
payload := strings.NewReader("{\n \"targetUrl\": \"<string>\",\n \"platform\": \"custom\",\n \"filters\": {\n \"templateId\": \"<string>\",\n \"bindingId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/webhook-subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUrl\": \"<string>\",\n \"platform\": \"custom\",\n \"filters\": {\n \"templateId\": \"<string>\",\n \"bindingId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"subscription": {
"uid": "<string>",
"targetUrl": "<string>",
"filters": {
"templateId": "<string>",
"bindingId": "<string>"
},
"deliveryCount": 123,
"failureCount": 123,
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"secret": "<string>"
}
}Webhooks
Create Webhook
POST
/
webhook-subscriptions
Create webhook subscription
curl --request POST \
--url https://api.pictify.io/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "<string>",
"platform": "custom",
"filters": {
"templateId": "<string>",
"bindingId": "<string>"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetUrl: '<string>',
platform: 'custom',
filters: {templateId: '<string>', bindingId: '<string>'}
})
};
fetch('https://api.pictify.io/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pictify.io/webhook-subscriptions"
payload = {
"targetUrl": "<string>",
"platform": "custom",
"filters": {
"templateId": "<string>",
"bindingId": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pictify.io/webhook-subscriptions"
payload := strings.NewReader("{\n \"targetUrl\": \"<string>\",\n \"platform\": \"custom\",\n \"filters\": {\n \"templateId\": \"<string>\",\n \"bindingId\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.pictify.io/webhook-subscriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUrl\": \"<string>\",\n \"platform\": \"custom\",\n \"filters\": {\n \"templateId\": \"<string>\",\n \"bindingId\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"subscription": {
"uid": "<string>",
"targetUrl": "<string>",
"filters": {
"templateId": "<string>",
"bindingId": "<string>"
},
"deliveryCount": 123,
"failureCount": 123,
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"secret": "<string>"
}
}Authorizations
API key obtained from the Pictify dashboard
Body
application/json
Response
201 - application/json
Subscription created
Show child attributes
Show child attributes
⌘I